 if ( SERVER ) then 
   
 	AddCSLuaFile( "shared.lua" ) 
 	SWEP.HoldType = "pistol";
 
 end 

 
 SWEP.Base = "ts2_base";
   
 SWEP.Spawnable			= false 
 SWEP.AdminSpawnable		= false 

SWEP.ViewModelFlip		= true	
SWEP.CSMuzzleFlashes	= true
   
SWEP.WorldModel = "models/weapons/w_pist_glock18.mdl";
SWEP.ViewModel = "models/weapons/v_pist_glock18.mdl";

 SWEP.ItemWidth = 1;
 SWEP.ItemHeight = 1;

SWEP.PrintName = "Rusty Glock Handgun";
SWEP.TS2Desc = "Small, light, easy to hide";

 SWEP.Primary.Recoil			= .8
 SWEP.Primary.RecoilAdd			= .06
 SWEP.Primary.RecoilMin = .8
 SWEP.Primary.RecoilMax = 1.9
 SWEP.Primary.RecoverTime = .4

 SWEP.Primary.Sound = Sound( "Weapon_Glock.Single" );

 SWEP.Primary.NumShots		= 1 
 SWEP.Primary.ClipSize = 20;
 SWEP.Primary.DefaultClip = 20;
 SWEP.Primary.Ammo = "pistol";
 SWEP.Primary.Delay = .03;
 SWEP.Primary.Damage = 5;
 SWEP.Primary.Force = 1;
 SWEP.Primary.RunCone = Vector( .05, .05, 0 );
 SWEP.Primary.SpreadCone = Vector( .035, .035, 0 );
 SWEP.Primary.CrouchSpreadCone = Vector( .03, .03, 0 );
 SWEP.Primary.ViewPunch = Angle( -0.4, 0.0, 0 );
 SWEP.Primary.Automatic = false;

 SWEP.Primary.IronSightPos = Vector( 4.3, 2.8, 2.0 );
 SWEP.Primary.IronSightAng = Vector( 2.0, 0.0, 0.0 );
 
 SWEP.TS2HoldType = "PISTOL";
 
SWEP.Primary.HolsteredPos = Vector( 2.8, -2.0, -2.0 );
SWEP.Primary.HolsteredAng = Vector( -15.0, 15.0, 0.0 );
   
   
SWEP.IconCamPos = Vector( 50, 139, 0 ) 
SWEP.IconLookAt = Vector( 1, -14, 1 ) 
SWEP.IconFOV = 6

SWEP.Price = 450
   